For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
      • GETGet purchase orders
      • POSTCreate a purchase order
      • GETGet the available variables for purchase orders
      • GETGet a purchase order by ID
      • DELDelete a purchase order
      • PATCHUpdate a purchase order
      • POSTPreview a purchase order's email message
      • POSTSend a purchase order via email
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts payablePurchase orders

Get the available variables for purchase orders

GET
/payable_purchase_orders/variables
GET
/v1/payable_purchase_orders/variables
$curl https://api.sandbox.monite.com/v1/payable_purchase_orders/variables \
> -H "x-monite-version: 2024-01-31" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "object_subtype": "quote",
5 "object_type": "object_type",
6 "variables": [
7 {
8 "description": "description",
9 "name": "name"
10 }
11 ]
12 }
13 ]
14}
Get a list of placeholders allowed to insert into an email template for customization
Was this page helpful?
Previous

Get a purchase order by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired

Response

Successful Response
datalist of objects

Errors

404
Get Payable Purchase Orders Variables Request Not Found Error
422
Get Payable Purchase Orders Variables Request Unprocessable Entity Error
500
Get Payable Purchase Orders Variables Request Internal Server Error